function project_folder() {
    if [ -d "$HOME/project" ]; then
        echo $HOME/project
    else
        echo $HOME/Project
    fi
}

function yupdate() {
    cd $HOME
    now=`date '+%s'`
    if [ -e .check ]; then
        before=`cat .check`
    else
        before=0
    fi
    res=$((now-before))
    if [ $res -gt 3600 ]; then
        echo "正在检查dotfiles是否更新"
        echo $now > .check
	yadm pull
    fi
    cd - > /dev/null
}

function get_proxy() {
    if [ -e ~/.proxy ]; then
        cat ~/.proxy
    else
        echo 'http://127.0.0.1:7890'
    fi
}

function pon() {
    proxy=`get_proxy`
    export http_proxy=$proxy
    export https_proxy=$proxy
    echo "\033[32m开启代理:$proxy\033[0m"
}

function poff() {
    unset http_proxy
    unset https_proxy
    echo "\033[31m关闭代理\033[0m"
}

function pstat() {
    if [ $http_proxy ];then
        echo "\033[32m代理开启\033[0m"
    else
        echo "\033[31m代理关闭\033[0m"
    fi
}
